"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.PrimaryButtonDemo = exports.LinkButtonDemo = exports.IconButtonDemo = exports.DisabledButtonDemo = exports.BasicButtonDemo = void 0;

var _react = _interopRequireDefault(require("react"));

var _enums = require("../enums/enums");

var _button = require("../components/button");

var _jsxRuntime = require("react/jsx-runtime");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// import {
//   baseTemplateArgTypes,
//   booleanArgType,
//   textArgType,
//   textTemplateArgTypes,
// } from './argTypes';
var _default = {
  title: 'Buttons',
  component: _button.Button
};
exports["default"] = _default;

var BasicButtonDemo = function BasicButtonDemo(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.Button, _objectSpread({}, args));
};

exports.BasicButtonDemo = BasicButtonDemo;
BasicButtonDemo.args = _objectSpread(_objectSpread({}, _button.Button.defaultProps), {}, {
  label: 'Generic Button',
  backgroundColor: _enums.Color.Orange,
  hoverBackgroundColor: _enums.Color.Red
});

var DisabledButtonDemo = function DisabledButtonDemo(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.Button, _objectSpread({}, args));
};

exports.DisabledButtonDemo = DisabledButtonDemo;
DisabledButtonDemo.args = _objectSpread(_objectSpread({}, _button.Button.defaultProps), {}, {
  label: 'Disabled Button',
  disabled: true
});

var PrimaryButtonDemo = function PrimaryButtonDemo(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.Button, _objectSpread(_objectSpread({}, args), {}, {
    onPress: function onPress() {
      return alert('clicked Primary');
    }
  }));
};

exports.PrimaryButtonDemo = PrimaryButtonDemo;
PrimaryButtonDemo.args = _objectSpread(_objectSpread({}, _button.Button.defaultProps), {}, {
  label: 'Primary Button'
});

var LinkButtonDemo = function LinkButtonDemo(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.LinkButton, _objectSpread(_objectSpread({}, args), {}, {
    onPress: function onPress() {
      return alert('clicked link');
    }
  }));
};

exports.LinkButtonDemo = LinkButtonDemo;
LinkButtonDemo.args = _objectSpread(_objectSpread({}, _button.LinkButton.defaultProps), {}, {
  label: 'Link Button'
});

var IconButtonDemo = function IconButtonDemo(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.IconButton, _objectSpread(_objectSpread({}, args), {}, {
    onPress: function onPress() {
      return alert('clicked icon');
    }
  }));
};

exports.IconButtonDemo = IconButtonDemo;
IconButtonDemo.args = _objectSpread(_objectSpread({}, _button.IconButton.defaultProps), {}, {
  label: 'Icon Button',
  iconSrc: 'https://toppng.com/uploads/preview/react-native-svg-transformer-allows-you-import-svg-aperture-science-innovators-logo-11562851994zqcpwozsvy.png'
});