"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.TextDropdown = exports.DarkVariation = void 0;

var _react = _interopRequireDefault(require("react"));

var _components = require("../components");

var _enums = require("../enums");

var _jsxRuntime = require("react/jsx-runtime");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = {
  title: 'Dropdown',
  component: _components.Dropdown // argTypes: {
  //   ...baseTemplateArgTypes,
  //   containerHeight: generateNumberArgType({
  //     type: ControlType.Range,
  //     min: 100,
  //     max: 750,
  //     step: 5,
  //   }),
  //   containerWidth: generateNumberArgType({
  //     type: ControlType.Range,
  //     min: 100,
  //     max: 750,
  //     step: 5,
  //   }),
  // }

};
exports["default"] = _default;
// const Container = styled.div`
//   ${baseTemplate};
//   display: ${Display.Flex};
// `;
var textOptions = [{
  key: 1,
  value: 'Salary',
  display: 'Salary'
}, {
  key: 2,
  value: 'Allowance',
  display: 'Allowance'
}, {
  key: 3,
  value: 'Pension',
  display: 'Pension'
}, {
  key: 4,
  value: 'Other',
  display: 'Other'
}]; // const overflowTextOptions = [...new Array(8)].map((_, index) => {
//   const value = `Option Very Long ${index}`;
//   return {
//     key: index,
//     value,
//     display: value,
//   };
// });
// const getComponentOptions = (color) => [
//   {
//     key: 1,
//     value: 'flag',
//     display: (
//       <CountryFlag
//         currencyCode={CurrencyCode.ZA}
//         color={color} />
//     ),
//     displayCollapsed: (
//       <CountryFlag
//         currencyCode={CurrencyCode.ZA}
//         hideCurrencyCode={true}
//         color={color} />
//     ),
//   },
//   {
//     key: 2,
//     value: 'flag',
//     display: (
//       <CountryFlag
//         currencyCode={CurrencyCode.US}
//         color={color} />
//     ),
//     displayCollapsed: (
//       <CountryFlag
//         currencyCode={CurrencyCode.US}
//         hideCurrencyCode={true}
//         color={color} />
//     ),
//   },
//   {
//     key: 3,
//     value: 'flag',
//     display: (
//       <CountryFlag
//         currencyCode={CurrencyCode.GB}
//         color={color} />
//     ),
//     displayCollapsed: (
//       <CountryFlag
//         currencyCode={CurrencyCode.GB}
//         hideCurrencyCode={true}
//         color={color} />
//     ),
//   },
// ];

var baseArgs = _objectSpread({}, _components.Dropdown.defaultProps);

var TextDropdown = function TextDropdown(props) {
  var _React$useState = _react["default"].useState({
    collapsed: true,
    selected: null
  }),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      state = _React$useState2[0],
      setState = _React$useState2[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.Dropdown, _objectSpread(_objectSpread({}, props), {}, {
    options: textOptions,
    showContent: !state.collapsed,
    onHeaderPress: function onHeaderPress() {
      return setState(function (prevState) {
        return _objectSpread(_objectSpread({}, prevState), {}, {
          collapsed: !prevState.collapsed
        });
      });
    },
    onClick: function onClick(value) {
      setState(function (prevState) {
        return _objectSpread(_objectSpread({}, prevState), {}, {
          selected: value,
          collapsed: !prevState.collapsed
        });
      });
    },
    selected: state.selected
  }));
};

exports.TextDropdown = TextDropdown;
TextDropdown.args = _objectSpread({}, baseArgs); // const lightDropdownOptions = getComponentOptions(Color.Black);
// export const LightVariation = props => {
//   const [
//     state,
//     setState,
//   ] = React.useState({
//     collapsed: true,
//     selected: undefined,
//   });
//   return (
//     <Dropdown
//       {...props}
//       options={lightDropdownOptions}
//       showContent={!state.collapsed}
//       onHeaderPress={() => setState(prevState => ({
//         ...prevState,
//         collapsed: !prevState.collapsed,
//       }))}
//       onClick={value => {
//         setState(prevState => ({
//           ...prevState,
//           selected: value,
//           collapsed: !prevState.collapsed,
//         }));
//       }}
//       selected={state.selected}
//       itemBottomBorder={'none'}
//       optionsContainerBorderRadius={'20px'} />
//   );
// };
// LightVariation.args = {
//   ...baseArgs,
// };
// const darkDropdownOptions = getComponentOptions(Color.White);

var DarkVariation = function DarkVariation(props) {
  var _React$useState3 = _react["default"].useState({
    collapsed: true,
    selected: null
  }),
      _React$useState4 = _slicedToArray(_React$useState3, 2),
      state = _React$useState4[0],
      setState = _React$useState4[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.DarkDropdown, _objectSpread(_objectSpread({}, props), {}, {
    options: textOptions,
    showContent: !state.collapsed,
    onHeaderPress: function onHeaderPress() {
      return setState(function (prevState) {
        return _objectSpread(_objectSpread({}, prevState), {}, {
          collapsed: !prevState.collapsed
        });
      });
    },
    onClick: function onClick(value) {
      setState(function (prevState) {
        return _objectSpread(_objectSpread({}, prevState), {}, {
          selected: value,
          collapsed: !prevState.collapsed
        });
      });
    },
    selected: state.selected
  }));
};

exports.DarkVariation = DarkVariation;
DarkVariation.args = _objectSpread({}, _components.DarkDropdown.defaultProps); // export const OverflowDropdown = args => {
//   const [
//     state,
//     setState,
//   ] = React.useState({
//     collapsed: true,
//     selected: null,
//   });
//   return (
//     <Container
//       top={'0'}
//       left={'0'}
//       position={Position.Absolute}
//       minHeight={`${args.containerHeight}px`}
//       minWidth={`${args.containerWidth}px`}
//       backgroundColor={Color.LightGrey}
//       alignItems={AlignItems.Start}>
//       <Dropdown
//         {...args}
//         margin={'20px'}
//         containerRect={{
//           width: args.containerWidth,
//           height: args.containerHeight,
//         }}
//         options={overflowTextOptions}
//         showContent={!state.collapsed}
//         onHeaderPress={() => setState(prevState => ({
//           ...prevState,
//           collapsed: args.disabled || !prevState.collapsed,
//         }))}
//         onClick={value => {
//           setState(prevState => ({
//             ...prevState,
//             selected: value,
//             collapsed: !prevState.collapsed,
//           }));
//         }}
//         selected={state.selected} />
//     </Container>
//   );
// };
// OverflowDropdown.args = {
//   ...baseArgs,
//   containerHeight: 500,
//   containerWidth: 500,
//   width: '200px',
// };