"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Password = exports.DatePicker = exports.BasicPrefixed = exports.Basic = void 0;

var _react = _interopRequireDefault(require("react"));

var _components = require("../components");

var _enums = require("../enums");

var _jsxRuntime = require("react/jsx-runtime");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = {
  title: 'Input',
  component: _components.Input
};
exports["default"] = _default;

var Template = function Template(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.Input, _objectSpread({}, args));
};

var Basic = Template.bind({});
exports.Basic = Basic;
Basic.args = _objectSpread(_objectSpread({}, _components.Input.defaultProps), {}, {
  placeholder: 'Email',
  showRequiredText: true,
  width: '250px'
});
var Password = Template.bind({});
exports.Password = Password;
Password.args = _objectSpread(_objectSpread({}, _components.Input.defaultProps), {}, {
  type: _enums.InputTypes.Password,
  placeholder: 'Enter password',
  showPassword: false,
  showIcon: true,
  iconSrc: 'https://via.placeholder.com/64',
  width: '250px'
});
var BasicPrefixed = Template.bind({});
exports.BasicPrefixed = BasicPrefixed;
BasicPrefixed.args = _objectSpread(_objectSpread({}, _components.Input.defaultProps), {}, {
  showPrefix: true,
  prefix: '$',
  width: '250px'
});
var DatePicker = Template.bind({});
exports.DatePicker = DatePicker;
DatePicker.args = _objectSpread(_objectSpread({}, _components.Input.defaultProps), {}, {
  type: _enums.InputTypes.Date,
  width: '250px'
});