"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinkButton = void 0;

var _react = _interopRequireDefault(require("react"));

var _Button = require("./Button");

var _enums = require("../../enums/enums");

var _jsxRuntime = require("react/jsx-runtime");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var LinkButton = function LinkButton(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.Button, _objectSpread({}, props));
};

exports.LinkButton = LinkButton;
LinkButton.displayName = 'LinkButton';
LinkButton.propTypes = _objectSpread({}, _Button.Button.propTypes);
LinkButton.defaultProps = _objectSpread(_objectSpread({}, _Button.Button.defaultProps), {}, {
  color: _enums.Color.BrightTurquoise,
  backgroundColor: _enums.Color.Transparent,
  hoverColor: _enums.Color.BrightTurquoise,
  hoverBackgroundColor: _enums.Color.Transparent,
  disabledColor: _enums.Color.MedGrey,
  disabledBackgroundColor: _enums.Color.Transparent,
  hoverTextDecoration: _enums.TextDecorationLine.Underline,
  width: 'auto',
  fontWeight: _enums.FontWeight.Normal
});