"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DarkDropdown = void 0;

var _react = _interopRequireDefault(require("react"));

var _enums = require("../../enums");

var _Dropdown = require("./Dropdown");

var _jsxRuntime = require("react/jsx-runtime");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var DarkDropdown = function DarkDropdown(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.Dropdown, _objectSpread({}, props));
};

exports.DarkDropdown = DarkDropdown;
DarkDropdown.displayName = 'DarkDropdown';
DarkDropdown.propTypes = _objectSpread({}, _Dropdown.Dropdown.propTypes);
DarkDropdown.defaultProps = _objectSpread(_objectSpread({}, _Dropdown.Dropdown.defaultProps), {}, {
  headerBackgroundColor: _enums.Color.Mirage,
  optionsBackgroundColor: _enums.Color.Mirage,
  headerTextColor: _enums.Color.White,
  headerBottomBorder: 'none',
  optionColor: _enums.Color.White,
  optionBorderColor: _enums.Color.Transparent,
  optionsBoxShadow: 'none',
  itemBottomBorder: 'none',
  optionsContainerBackgroundColor: _enums.Color.Mirage,
  headerBorderRadius: _enums.BorderRadius.StandardMenuItem,
  optionsContainerBorderRadius: _enums.BorderRadius.StandardMenuItem
});