"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.baseTemplate = exports.baseStyledPropTypes = exports.baseStyledDefaultProps = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = require("styled-components");

var _enums = require("../enums/enums");

var _templateObject;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var baseTemplate = (0, _styledComponents.css)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"])), function (props) {
  var _props$styled, _props$styled2;

  return (props === null || props === void 0 ? void 0 : (_props$styled = props.styled) === null || _props$styled === void 0 ? void 0 : _props$styled.backfaceVisibility) !== undefined && "backface-visibility: ".concat(props === null || props === void 0 ? void 0 : (_props$styled2 = props.styled) === null || _props$styled2 === void 0 ? void 0 : _props$styled2.backfaceVisibility, ";");
}, function (props) {
  var _props$styled3, _props$styled4;

  return (props === null || props === void 0 ? void 0 : (_props$styled3 = props.styled) === null || _props$styled3 === void 0 ? void 0 : _props$styled3.opacity) !== undefined && "opacity: ".concat(props === null || props === void 0 ? void 0 : (_props$styled4 = props.styled) === null || _props$styled4 === void 0 ? void 0 : _props$styled4.opacity, ";");
}, function (props) {
  var _props$styled5, _props$styled6;

  return (props === null || props === void 0 ? void 0 : (_props$styled5 = props.styled) === null || _props$styled5 === void 0 ? void 0 : _props$styled5.background) !== undefined && "background: ".concat(props === null || props === void 0 ? void 0 : (_props$styled6 = props.styled) === null || _props$styled6 === void 0 ? void 0 : _props$styled6.background, ";");
}, function (props) {
  var _props$styled7, _props$styled8;

  return (props === null || props === void 0 ? void 0 : (_props$styled7 = props.styled) === null || _props$styled7 === void 0 ? void 0 : _props$styled7.backgroundColor) !== undefined && "background-color: ".concat(props === null || props === void 0 ? void 0 : (_props$styled8 = props.styled) === null || _props$styled8 === void 0 ? void 0 : _props$styled8.backgroundColor, ";");
}, function (props) {
  var _props$styled9, _props$styled10;

  return (props === null || props === void 0 ? void 0 : (_props$styled9 = props.styled) === null || _props$styled9 === void 0 ? void 0 : _props$styled9.backgroundImage) !== undefined && "background-image: ".concat(props === null || props === void 0 ? void 0 : (_props$styled10 = props.styled) === null || _props$styled10 === void 0 ? void 0 : _props$styled10.backgroundImage, ";");
}, function (props) {
  var _props$styled11, _props$styled12;

  return (props === null || props === void 0 ? void 0 : (_props$styled11 = props.styled) === null || _props$styled11 === void 0 ? void 0 : _props$styled11.display) !== undefined && "display: ".concat(props === null || props === void 0 ? void 0 : (_props$styled12 = props.styled) === null || _props$styled12 === void 0 ? void 0 : _props$styled12.display, ";");
}, function (props) {
  var _props$styled13, _props$styled14;

  return (props === null || props === void 0 ? void 0 : (_props$styled13 = props.styled) === null || _props$styled13 === void 0 ? void 0 : _props$styled13.position) !== undefined && "position: ".concat(props === null || props === void 0 ? void 0 : (_props$styled14 = props.styled) === null || _props$styled14 === void 0 ? void 0 : _props$styled14.position, ";");
}, function (props) {
  var _props$styled15, _props$styled16;

  return (props === null || props === void 0 ? void 0 : (_props$styled15 = props.styled) === null || _props$styled15 === void 0 ? void 0 : _props$styled15.boxSizing) !== undefined && "box-sizing: ".concat(props === null || props === void 0 ? void 0 : (_props$styled16 = props.styled) === null || _props$styled16 === void 0 ? void 0 : _props$styled16.boxSizing, ";");
}, function (props) {
  var _props$styled17, _props$styled18;

  return (props === null || props === void 0 ? void 0 : (_props$styled17 = props.styled) === null || _props$styled17 === void 0 ? void 0 : _props$styled17.top) !== undefined && "top: ".concat(props === null || props === void 0 ? void 0 : (_props$styled18 = props.styled) === null || _props$styled18 === void 0 ? void 0 : _props$styled18.top, ";");
}, function (props) {
  var _props$styled19, _props$styled20;

  return (props === null || props === void 0 ? void 0 : (_props$styled19 = props.styled) === null || _props$styled19 === void 0 ? void 0 : _props$styled19.right) !== undefined && "right: ".concat(props === null || props === void 0 ? void 0 : (_props$styled20 = props.styled) === null || _props$styled20 === void 0 ? void 0 : _props$styled20.right, ";");
}, function (props) {
  var _props$styled21, _props$styled22;

  return (props === null || props === void 0 ? void 0 : (_props$styled21 = props.styled) === null || _props$styled21 === void 0 ? void 0 : _props$styled21.bottom) !== undefined && "bottom: ".concat(props === null || props === void 0 ? void 0 : (_props$styled22 = props.styled) === null || _props$styled22 === void 0 ? void 0 : _props$styled22.bottom, ";");
}, function (props) {
  var _props$styled23, _props$styled24;

  return (props === null || props === void 0 ? void 0 : (_props$styled23 = props.styled) === null || _props$styled23 === void 0 ? void 0 : _props$styled23.left) !== undefined && "left: ".concat(props === null || props === void 0 ? void 0 : (_props$styled24 = props.styled) === null || _props$styled24 === void 0 ? void 0 : _props$styled24.left, ";");
}, function (props) {
  var _props$styled25, _props$styled26;

  return (props === null || props === void 0 ? void 0 : (_props$styled25 = props.styled) === null || _props$styled25 === void 0 ? void 0 : _props$styled25.minHeight) !== undefined && "min-height: ".concat(props === null || props === void 0 ? void 0 : (_props$styled26 = props.styled) === null || _props$styled26 === void 0 ? void 0 : _props$styled26.minHeight, ";");
}, function (props) {
  var _props$styled27, _props$styled28;

  return (props === null || props === void 0 ? void 0 : (_props$styled27 = props.styled) === null || _props$styled27 === void 0 ? void 0 : _props$styled27.minWidth) !== undefined && "min-width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled28 = props.styled) === null || _props$styled28 === void 0 ? void 0 : _props$styled28.minWidth, ";");
}, function (props) {
  var _props$styled29, _props$styled30;

  return (props === null || props === void 0 ? void 0 : (_props$styled29 = props.styled) === null || _props$styled29 === void 0 ? void 0 : _props$styled29.height) !== undefined && "height: ".concat(props === null || props === void 0 ? void 0 : (_props$styled30 = props.styled) === null || _props$styled30 === void 0 ? void 0 : _props$styled30.height, ";");
}, function (props) {
  var _props$styled31, _props$styled32;

  return (props === null || props === void 0 ? void 0 : (_props$styled31 = props.styled) === null || _props$styled31 === void 0 ? void 0 : _props$styled31.width) !== undefined && "width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled32 = props.styled) === null || _props$styled32 === void 0 ? void 0 : _props$styled32.width, ";");
}, function (props) {
  var _props$styled33, _props$styled34;

  return (props === null || props === void 0 ? void 0 : (_props$styled33 = props.styled) === null || _props$styled33 === void 0 ? void 0 : _props$styled33.maxHeight) !== undefined && "max-height: ".concat(props === null || props === void 0 ? void 0 : (_props$styled34 = props.styled) === null || _props$styled34 === void 0 ? void 0 : _props$styled34.maxHeight, ";");
}, function (props) {
  var _props$styled35, _props$styled36;

  return (props === null || props === void 0 ? void 0 : (_props$styled35 = props.styled) === null || _props$styled35 === void 0 ? void 0 : _props$styled35.maxWidth) !== undefined && "max-width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled36 = props.styled) === null || _props$styled36 === void 0 ? void 0 : _props$styled36.maxWidth, ";");
}, function (props) {
  var _props$styled37, _props$styled38;

  return (props === null || props === void 0 ? void 0 : (_props$styled37 = props.styled) === null || _props$styled37 === void 0 ? void 0 : _props$styled37.flex) !== undefined && "flex: ".concat(props === null || props === void 0 ? void 0 : (_props$styled38 = props.styled) === null || _props$styled38 === void 0 ? void 0 : _props$styled38.flex, ";");
}, function (props) {
  var _props$styled39, _props$styled40;

  return (props === null || props === void 0 ? void 0 : (_props$styled39 = props.styled) === null || _props$styled39 === void 0 ? void 0 : _props$styled39.flexBasis) !== undefined && "flex-basis: ".concat(props === null || props === void 0 ? void 0 : (_props$styled40 = props.styled) === null || _props$styled40 === void 0 ? void 0 : _props$styled40.flexBasis, ";");
}, function (props) {
  var _props$styled41, _props$styled42;

  return (props === null || props === void 0 ? void 0 : (_props$styled41 = props.styled) === null || _props$styled41 === void 0 ? void 0 : _props$styled41.flexGrow) !== undefined && "flex-grow: ".concat(props === null || props === void 0 ? void 0 : (_props$styled42 = props.styled) === null || _props$styled42 === void 0 ? void 0 : _props$styled42.flexGrow, ";");
}, function (props) {
  var _props$styled43, _props$styled44;

  return (props === null || props === void 0 ? void 0 : (_props$styled43 = props.styled) === null || _props$styled43 === void 0 ? void 0 : _props$styled43.flexShrink) !== undefined && "flex-shrink: ".concat(props === null || props === void 0 ? void 0 : (_props$styled44 = props.styled) === null || _props$styled44 === void 0 ? void 0 : _props$styled44.flexShrink, ";");
}, function (props) {
  var _props$styled45, _props$styled46;

  return (props === null || props === void 0 ? void 0 : (_props$styled45 = props.styled) === null || _props$styled45 === void 0 ? void 0 : _props$styled45.flexDirection) !== undefined && "flex-direction: ".concat(props === null || props === void 0 ? void 0 : (_props$styled46 = props.styled) === null || _props$styled46 === void 0 ? void 0 : _props$styled46.flexDirection, ";");
}, function (props) {
  var _props$styled47, _props$styled48;

  return (props === null || props === void 0 ? void 0 : (_props$styled47 = props.styled) === null || _props$styled47 === void 0 ? void 0 : _props$styled47.flexWrap) !== undefined && "flex-wrap: ".concat(props === null || props === void 0 ? void 0 : (_props$styled48 = props.styled) === null || _props$styled48 === void 0 ? void 0 : _props$styled48.flexWrap, ";");
}, function (props) {
  var _props$styled49, _props$styled50;

  return (props === null || props === void 0 ? void 0 : (_props$styled49 = props.styled) === null || _props$styled49 === void 0 ? void 0 : _props$styled49.alignContent) !== undefined && "align-content: ".concat(props === null || props === void 0 ? void 0 : (_props$styled50 = props.styled) === null || _props$styled50 === void 0 ? void 0 : _props$styled50.alignContent, ";");
}, function (props) {
  var _props$styled51, _props$styled52;

  return (props === null || props === void 0 ? void 0 : (_props$styled51 = props.styled) === null || _props$styled51 === void 0 ? void 0 : _props$styled51.alignItems) !== undefined && "align-items: ".concat(props === null || props === void 0 ? void 0 : (_props$styled52 = props.styled) === null || _props$styled52 === void 0 ? void 0 : _props$styled52.alignItems, ";");
}, function (props) {
  var _props$styled53, _props$styled54;

  return (props === null || props === void 0 ? void 0 : (_props$styled53 = props.styled) === null || _props$styled53 === void 0 ? void 0 : _props$styled53.alignSelf) !== undefined && "align-self: ".concat(props === null || props === void 0 ? void 0 : (_props$styled54 = props.styled) === null || _props$styled54 === void 0 ? void 0 : _props$styled54.alignSelf, ";");
}, function (props) {
  var _props$styled55, _props$styled56;

  return (props === null || props === void 0 ? void 0 : (_props$styled55 = props.styled) === null || _props$styled55 === void 0 ? void 0 : _props$styled55.justifyContent) !== undefined && "justify-content: ".concat(props === null || props === void 0 ? void 0 : (_props$styled56 = props.styled) === null || _props$styled56 === void 0 ? void 0 : _props$styled56.justifyContent, ";");
}, function (props) {
  var _props$styled57, _props$styled58;

  return (props === null || props === void 0 ? void 0 : (_props$styled57 = props.styled) === null || _props$styled57 === void 0 ? void 0 : _props$styled57.margin) !== undefined && "margin: ".concat(props === null || props === void 0 ? void 0 : (_props$styled58 = props.styled) === null || _props$styled58 === void 0 ? void 0 : _props$styled58.margin, ";");
}, function (props) {
  var _props$styled59, _props$styled60;

  return (props === null || props === void 0 ? void 0 : (_props$styled59 = props.styled) === null || _props$styled59 === void 0 ? void 0 : _props$styled59.padding) !== undefined && "padding: ".concat(props === null || props === void 0 ? void 0 : (_props$styled60 = props.styled) === null || _props$styled60 === void 0 ? void 0 : _props$styled60.padding, ";");
}, function (props) {
  var _props$styled61, _props$styled62;

  return (props === null || props === void 0 ? void 0 : (_props$styled61 = props.styled) === null || _props$styled61 === void 0 ? void 0 : _props$styled61.border) !== undefined && "border: ".concat(props === null || props === void 0 ? void 0 : (_props$styled62 = props.styled) === null || _props$styled62 === void 0 ? void 0 : _props$styled62.border, ";");
}, function (props) {
  var _props$styled63, _props$styled64;

  return (props === null || props === void 0 ? void 0 : (_props$styled63 = props.styled) === null || _props$styled63 === void 0 ? void 0 : _props$styled63.borderColor) !== undefined && "border-color: ".concat(props === null || props === void 0 ? void 0 : (_props$styled64 = props.styled) === null || _props$styled64 === void 0 ? void 0 : _props$styled64.borderColor, ";");
}, function (props) {
  var _props$styled65, _props$styled66;

  return (props === null || props === void 0 ? void 0 : (_props$styled65 = props.styled) === null || _props$styled65 === void 0 ? void 0 : _props$styled65.borderRadius) !== undefined && "border-radius: ".concat(props === null || props === void 0 ? void 0 : (_props$styled66 = props.styled) === null || _props$styled66 === void 0 ? void 0 : _props$styled66.borderRadius, ";");
}, function (props) {
  var _props$styled67, _props$styled68;

  return (props === null || props === void 0 ? void 0 : (_props$styled67 = props.styled) === null || _props$styled67 === void 0 ? void 0 : _props$styled67.borderWidth) !== undefined && "border-width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled68 = props.styled) === null || _props$styled68 === void 0 ? void 0 : _props$styled68.borderWidth, ";");
}, function (props) {
  var _props$styled69, _props$styled70;

  return (props === null || props === void 0 ? void 0 : (_props$styled69 = props.styled) === null || _props$styled69 === void 0 ? void 0 : _props$styled69.borderStyle) !== undefined && "border-style: ".concat(props === null || props === void 0 ? void 0 : (_props$styled70 = props.styled) === null || _props$styled70 === void 0 ? void 0 : _props$styled70.borderStyle, ";");
}, function (props) {
  var _props$styled71, _props$styled72;

  return (props === null || props === void 0 ? void 0 : (_props$styled71 = props.styled) === null || _props$styled71 === void 0 ? void 0 : _props$styled71.borderTop) !== undefined && "border-top: ".concat(props === null || props === void 0 ? void 0 : (_props$styled72 = props.styled) === null || _props$styled72 === void 0 ? void 0 : _props$styled72.borderTop, ";");
}, function (props) {
  var _props$styled73, _props$styled74;

  return (props === null || props === void 0 ? void 0 : (_props$styled73 = props.styled) === null || _props$styled73 === void 0 ? void 0 : _props$styled73.borderTopColor) !== undefined && "border-top-color: ".concat(props === null || props === void 0 ? void 0 : (_props$styled74 = props.styled) === null || _props$styled74 === void 0 ? void 0 : _props$styled74.borderTopColor, ";");
}, function (props) {
  var _props$styled75, _props$styled76;

  return (props === null || props === void 0 ? void 0 : (_props$styled75 = props.styled) === null || _props$styled75 === void 0 ? void 0 : _props$styled75.borderTopLeftRadius) !== undefined && "border-top-left-radius: ".concat(props === null || props === void 0 ? void 0 : (_props$styled76 = props.styled) === null || _props$styled76 === void 0 ? void 0 : _props$styled76.borderTopLeftRadius, ";");
}, function (props) {
  var _props$styled77, _props$styled78;

  return (props === null || props === void 0 ? void 0 : (_props$styled77 = props.styled) === null || _props$styled77 === void 0 ? void 0 : _props$styled77.borderTopRightRadius) !== undefined && "border-top-right-radius: ".concat(props === null || props === void 0 ? void 0 : (_props$styled78 = props.styled) === null || _props$styled78 === void 0 ? void 0 : _props$styled78.borderTopRightRadius, ";");
}, function (props) {
  var _props$styled79, _props$styled80;

  return (props === null || props === void 0 ? void 0 : (_props$styled79 = props.styled) === null || _props$styled79 === void 0 ? void 0 : _props$styled79.borderTopWidth) !== undefined && "border-top-width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled80 = props.styled) === null || _props$styled80 === void 0 ? void 0 : _props$styled80.borderTopWidth, ";");
}, function (props) {
  var _props$styled81, _props$styled82;

  return (props === null || props === void 0 ? void 0 : (_props$styled81 = props.styled) === null || _props$styled81 === void 0 ? void 0 : _props$styled81.borderRight) !== undefined && "border-right: ".concat(props === null || props === void 0 ? void 0 : (_props$styled82 = props.styled) === null || _props$styled82 === void 0 ? void 0 : _props$styled82.borderRight, ";");
}, function (props) {
  var _props$styled83, _props$styled84;

  return (props === null || props === void 0 ? void 0 : (_props$styled83 = props.styled) === null || _props$styled83 === void 0 ? void 0 : _props$styled83.borderRightColor) !== undefined && "border-right-color: ".concat(props === null || props === void 0 ? void 0 : (_props$styled84 = props.styled) === null || _props$styled84 === void 0 ? void 0 : _props$styled84.borderRightColor, ";");
}, function (props) {
  var _props$styled85, _props$styled86;

  return (props === null || props === void 0 ? void 0 : (_props$styled85 = props.styled) === null || _props$styled85 === void 0 ? void 0 : _props$styled85.borderRightWidth) !== undefined && "border-right-width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled86 = props.styled) === null || _props$styled86 === void 0 ? void 0 : _props$styled86.borderRightWidth, ";");
}, function (props) {
  var _props$styled87, _props$styled88;

  return (props === null || props === void 0 ? void 0 : (_props$styled87 = props.styled) === null || _props$styled87 === void 0 ? void 0 : _props$styled87.borderBottom) !== undefined && "border-bottom: ".concat(props === null || props === void 0 ? void 0 : (_props$styled88 = props.styled) === null || _props$styled88 === void 0 ? void 0 : _props$styled88.borderBottom, ";");
}, function (props) {
  var _props$styled89, _props$styled90;

  return (props === null || props === void 0 ? void 0 : (_props$styled89 = props.styled) === null || _props$styled89 === void 0 ? void 0 : _props$styled89.borderBottomColor) !== undefined && "border-bottom-color: ".concat(props === null || props === void 0 ? void 0 : (_props$styled90 = props.styled) === null || _props$styled90 === void 0 ? void 0 : _props$styled90.borderBottomColor, ";");
}, function (props) {
  var _props$styled91, _props$styled92;

  return (props === null || props === void 0 ? void 0 : (_props$styled91 = props.styled) === null || _props$styled91 === void 0 ? void 0 : _props$styled91.borderBottomLeftRadius) !== undefined && "border-bottom-left-radius: ".concat(props === null || props === void 0 ? void 0 : (_props$styled92 = props.styled) === null || _props$styled92 === void 0 ? void 0 : _props$styled92.borderBottomLeftRadius, ";");
}, function (props) {
  var _props$styled93, _props$styled94;

  return (props === null || props === void 0 ? void 0 : (_props$styled93 = props.styled) === null || _props$styled93 === void 0 ? void 0 : _props$styled93.borderBottomRightRadius) !== undefined && "border-bottom-right-radius: ".concat(props === null || props === void 0 ? void 0 : (_props$styled94 = props.styled) === null || _props$styled94 === void 0 ? void 0 : _props$styled94.borderBottomRightRadius, ";");
}, function (props) {
  var _props$styled95, _props$styled96;

  return (props === null || props === void 0 ? void 0 : (_props$styled95 = props.styled) === null || _props$styled95 === void 0 ? void 0 : _props$styled95.borderBottomWidth) !== undefined && "border-bottom-width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled96 = props.styled) === null || _props$styled96 === void 0 ? void 0 : _props$styled96.borderBottomWidth, ";");
}, function (props) {
  var _props$styled97, _props$styled98;

  return (props === null || props === void 0 ? void 0 : (_props$styled97 = props.styled) === null || _props$styled97 === void 0 ? void 0 : _props$styled97.borderLeft) !== undefined && "border-left: ".concat(props === null || props === void 0 ? void 0 : (_props$styled98 = props.styled) === null || _props$styled98 === void 0 ? void 0 : _props$styled98.borderLeft, ";");
}, function (props) {
  var _props$styled99, _props$styled100;

  return (props === null || props === void 0 ? void 0 : (_props$styled99 = props.styled) === null || _props$styled99 === void 0 ? void 0 : _props$styled99.borderLeftColor) !== undefined && "border-left-color: ".concat(props === null || props === void 0 ? void 0 : (_props$styled100 = props.styled) === null || _props$styled100 === void 0 ? void 0 : _props$styled100.borderLeftColor, ";");
}, function (props) {
  var _props$styled101, _props$styled102;

  return (props === null || props === void 0 ? void 0 : (_props$styled101 = props.styled) === null || _props$styled101 === void 0 ? void 0 : _props$styled101.borderLeftWidth) !== undefined && "border-left-width: ".concat(props === null || props === void 0 ? void 0 : (_props$styled102 = props.styled) === null || _props$styled102 === void 0 ? void 0 : _props$styled102.borderLeftWidth, ";");
}, function (props) {
  var _props$styled103, _props$styled104;

  return (props === null || props === void 0 ? void 0 : (_props$styled103 = props.styled) === null || _props$styled103 === void 0 ? void 0 : _props$styled103.overflow) !== undefined && "overflow: ".concat(props === null || props === void 0 ? void 0 : (_props$styled104 = props.styled) === null || _props$styled104 === void 0 ? void 0 : _props$styled104.overflow, ";");
}, function (props) {
  var _props$styled105, _props$styled106;

  return (props === null || props === void 0 ? void 0 : (_props$styled105 = props.styled) === null || _props$styled105 === void 0 ? void 0 : _props$styled105.zIndex) !== undefined && "z-index: ".concat(props === null || props === void 0 ? void 0 : (_props$styled106 = props.styled) === null || _props$styled106 === void 0 ? void 0 : _props$styled106.zIndex, ";");
}, function (props) {
  var _props$styled107, _props$styled108;

  return (props === null || props === void 0 ? void 0 : (_props$styled107 = props.styled) === null || _props$styled107 === void 0 ? void 0 : _props$styled107.boxShadow) !== undefined && "box-shadow: ".concat(props === null || props === void 0 ? void 0 : (_props$styled108 = props.styled) === null || _props$styled108 === void 0 ? void 0 : _props$styled108.boxShadow, ";");
}, function (props) {
  var _props$styled109, _props$styled110;

  return (props === null || props === void 0 ? void 0 : (_props$styled109 = props.styled) === null || _props$styled109 === void 0 ? void 0 : _props$styled109.transition) !== undefined && "transition: ".concat(props === null || props === void 0 ? void 0 : (_props$styled110 = props.styled) === null || _props$styled110 === void 0 ? void 0 : _props$styled110.transition, ";");
}, function (props) {
  var _props$styled111, _props$styled112;

  return (props === null || props === void 0 ? void 0 : (_props$styled111 = props.styled) === null || _props$styled111 === void 0 ? void 0 : _props$styled111.animation) !== undefined && "animation: ".concat(props === null || props === void 0 ? void 0 : (_props$styled112 = props.styled) === null || _props$styled112 === void 0 ? void 0 : _props$styled112.animation, ";");
}, function (props) {
  var _props$styled113, _props$styled114;

  return (props === null || props === void 0 ? void 0 : (_props$styled113 = props.styled) === null || _props$styled113 === void 0 ? void 0 : _props$styled113.userSelect) !== undefined && "user-select: ".concat(props === null || props === void 0 ? void 0 : (_props$styled114 = props.styled) === null || _props$styled114 === void 0 ? void 0 : _props$styled114.userSelect, ";");
}, function (props) {
  var _props$styled115, _props$styled116;

  return (props === null || props === void 0 ? void 0 : (_props$styled115 = props.styled) === null || _props$styled115 === void 0 ? void 0 : _props$styled115.transform) !== undefined && "transform: ".concat(props === null || props === void 0 ? void 0 : (_props$styled116 = props.styled) === null || _props$styled116 === void 0 ? void 0 : _props$styled116.transform, ";");
}, function (props) {
  var _props$styled117, _props$styled118;

  return (props === null || props === void 0 ? void 0 : (_props$styled117 = props.styled) === null || _props$styled117 === void 0 ? void 0 : _props$styled117.outline) !== undefined && "outline: ".concat(props === null || props === void 0 ? void 0 : (_props$styled118 = props.styled) === null || _props$styled118 === void 0 ? void 0 : _props$styled118.outline, ";");
});
exports.baseTemplate = baseTemplate;
var baseStyledPropTypes = {
  backfaceVisibility: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.Visibility))),
  opacity: _propTypes["default"].number,
  background: _propTypes["default"].string,
  backgroundColor: _propTypes["default"].string,
  backgroundImage: _propTypes["default"].string,
  display: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.Display))),
  position: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.Position))),
  boxSizing: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.BoxSizing))),
  top: _propTypes["default"].string,
  right: _propTypes["default"].string,
  bottom: _propTypes["default"].string,
  left: _propTypes["default"].string,
  minHeight: _propTypes["default"].string,
  minWidth: _propTypes["default"].string,
  height: _propTypes["default"].string,
  width: _propTypes["default"].string,
  maxHeight: _propTypes["default"].string,
  maxWidth: _propTypes["default"].string,
  flex: _propTypes["default"].string,
  flexBasis: _propTypes["default"].string,
  flexGrow: _propTypes["default"].number,
  flexShrink: _propTypes["default"].number,
  flexDirection: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.FlexDirection))),
  flexWrap: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.FlexWrap))),
  alignContent: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.AlignContent))),
  alignItems: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.AlignItems))),
  alignSelf: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.AlignSelf))),
  justifyContent: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.JustifyContent))),
  margin: _propTypes["default"].string,
  padding: _propTypes["default"].string,
  border: _propTypes["default"].string,
  borderColor: _propTypes["default"].string,
  borderRadius: _propTypes["default"].string,
  borderWidth: _propTypes["default"].string,
  borderStyle: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.BorderStyle))),
  borderTop: _propTypes["default"].string,
  borderTopColor: _propTypes["default"].string,
  borderTopLeftRadius: _propTypes["default"].string,
  borderTopRightRadius: _propTypes["default"].string,
  borderTopWidth: _propTypes["default"].string,
  borderRight: _propTypes["default"].string,
  borderRightColor: _propTypes["default"].string,
  borderRightWidth: _propTypes["default"].string,
  borderBottom: _propTypes["default"].string,
  borderBottomColor: _propTypes["default"].string,
  borderBottomLeftRadius: _propTypes["default"].string,
  borderBottomRightRadius: _propTypes["default"].string,
  borderBottomWidth: _propTypes["default"].string,
  borderLeft: _propTypes["default"].string,
  borderLeftColor: _propTypes["default"].string,
  borderLeftWidth: _propTypes["default"].string,
  overflow: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.Overflow))),
  zIndex: _propTypes["default"].number,
  boxShadow: _propTypes["default"].string,
  transition: _propTypes["default"].string,
  animation: _propTypes["default"].string,
  userSelect: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.UserSelect))),
  transform: _propTypes["default"].string,
  outline: _propTypes["default"].string
};
exports.baseStyledPropTypes = baseStyledPropTypes;
var baseStyledDefaultProps = {
  backfaceVisibility: _enums.Visibility.Visible,
  opacity: 1,
  display: _enums.Display.Flex,
  position: _enums.Position.Relative,
  flexWrap: _enums.FlexWrap.NoWrap,
  overflow: _enums.Overflow.Visible,
  userSelect: _enums.UserSelect.None
};
exports.baseStyledDefaultProps = baseStyledDefaultProps;