"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.textTemplate = exports.textStyledPropTypes = exports.textStyledDefaultProps = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = require("styled-components");

var _enums = require("../enums/enums");

var _templateObject;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var textTemplate = (0, _styledComponents.css)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n\n  ", "\n  ", "\n  ", "\n  ", "\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"])), function (props) {
  var _props$styled, _props$styled2;

  return (props === null || props === void 0 ? void 0 : (_props$styled = props.styled) === null || _props$styled === void 0 ? void 0 : _props$styled.fontFamily) !== undefined && "font-family: ".concat(props === null || props === void 0 ? void 0 : (_props$styled2 = props.styled) === null || _props$styled2 === void 0 ? void 0 : _props$styled2.fontFamily, ";");
}, function (props) {
  var _props$styled3, _props$styled4;

  return (props === null || props === void 0 ? void 0 : (_props$styled3 = props.styled) === null || _props$styled3 === void 0 ? void 0 : _props$styled3.fontWeight) !== undefined && "font-weight: ".concat(props === null || props === void 0 ? void 0 : (_props$styled4 = props.styled) === null || _props$styled4 === void 0 ? void 0 : _props$styled4.fontWeight, ";");
}, function (props) {
  var _props$styled5, _props$styled6;

  return (props === null || props === void 0 ? void 0 : (_props$styled5 = props.styled) === null || _props$styled5 === void 0 ? void 0 : _props$styled5.fontStyle) !== undefined && "font-style: ".concat(props === null || props === void 0 ? void 0 : (_props$styled6 = props.styled) === null || _props$styled6 === void 0 ? void 0 : _props$styled6.fontStyle, ";");
}, function (props) {
  var _props$styled7, _props$styled8;

  return (props === null || props === void 0 ? void 0 : (_props$styled7 = props.styled) === null || _props$styled7 === void 0 ? void 0 : _props$styled7.fontSize) !== undefined && "font-size: ".concat(props === null || props === void 0 ? void 0 : (_props$styled8 = props.styled) === null || _props$styled8 === void 0 ? void 0 : _props$styled8.fontSize, ";");
}, function (props) {
  var _props$styled9, _props$styled10;

  return (props === null || props === void 0 ? void 0 : (_props$styled9 = props.styled) === null || _props$styled9 === void 0 ? void 0 : _props$styled9.color) !== undefined && "color: ".concat(props === null || props === void 0 ? void 0 : (_props$styled10 = props.styled) === null || _props$styled10 === void 0 ? void 0 : _props$styled10.color, ";");
}, function (props) {
  var _props$styled11, _props$styled12;

  return (props === null || props === void 0 ? void 0 : (_props$styled11 = props.styled) === null || _props$styled11 === void 0 ? void 0 : _props$styled11.lineHeight) !== undefined && "line-height: ".concat(props === null || props === void 0 ? void 0 : (_props$styled12 = props.styled) === null || _props$styled12 === void 0 ? void 0 : _props$styled12.lineHeight, ";");
}, function (props) {
  var _props$styled13, _props$styled14;

  return (props === null || props === void 0 ? void 0 : (_props$styled13 = props.styled) === null || _props$styled13 === void 0 ? void 0 : _props$styled13.letterSpacing) !== undefined && "letter-spacing: ".concat(props === null || props === void 0 ? void 0 : (_props$styled14 = props.styled) === null || _props$styled14 === void 0 ? void 0 : _props$styled14.letterSpacing, ";");
}, function (props) {
  var _props$styled15, _props$styled16;

  return (props === null || props === void 0 ? void 0 : (_props$styled15 = props.styled) === null || _props$styled15 === void 0 ? void 0 : _props$styled15.verticalAlign) !== undefined && "vertical-align: ".concat(props === null || props === void 0 ? void 0 : (_props$styled16 = props.styled) === null || _props$styled16 === void 0 ? void 0 : _props$styled16.verticalAlign, ";");
}, function (props) {
  var _props$styled17, _props$styled18;

  return (props === null || props === void 0 ? void 0 : (_props$styled17 = props.styled) === null || _props$styled17 === void 0 ? void 0 : _props$styled17.textAlign) !== undefined && "text-align: ".concat(props === null || props === void 0 ? void 0 : (_props$styled18 = props.styled) === null || _props$styled18 === void 0 ? void 0 : _props$styled18.textAlign, ";");
}, function (props) {
  var _props$styled19, _props$styled20;

  return (props === null || props === void 0 ? void 0 : (_props$styled19 = props.styled) === null || _props$styled19 === void 0 ? void 0 : _props$styled19.textDecoration) !== undefined && "text-decoration: ".concat(props === null || props === void 0 ? void 0 : (_props$styled20 = props.styled) === null || _props$styled20 === void 0 ? void 0 : _props$styled20.textDecoration, ";");
}, function (props) {
  var _props$styled21, _props$styled22;

  return (props === null || props === void 0 ? void 0 : (_props$styled21 = props.styled) === null || _props$styled21 === void 0 ? void 0 : _props$styled21.textTransform) !== undefined && "text-transform: ".concat(props === null || props === void 0 ? void 0 : (_props$styled22 = props.styled) === null || _props$styled22 === void 0 ? void 0 : _props$styled22.textTransform, ";");
}, function (props) {
  var _props$styled23, _props$styled24;

  return (props === null || props === void 0 ? void 0 : (_props$styled23 = props.styled) === null || _props$styled23 === void 0 ? void 0 : _props$styled23.whiteSpace) !== undefined && "white-space: ".concat(props === null || props === void 0 ? void 0 : (_props$styled24 = props.styled) === null || _props$styled24 === void 0 ? void 0 : _props$styled24.whiteSpace, ";");
}, function (props) {
  var _props$styled25, _props$styled26;

  return (props === null || props === void 0 ? void 0 : (_props$styled25 = props.styled) === null || _props$styled25 === void 0 ? void 0 : _props$styled25.textOverflow) !== undefined && "text-overflow: ".concat(props === null || props === void 0 ? void 0 : (_props$styled26 = props.styled) === null || _props$styled26 === void 0 ? void 0 : _props$styled26.textOverflow, ";");
}, function (props) {
  var _props$styled27, _props$styled28;

  return (props === null || props === void 0 ? void 0 : (_props$styled27 = props.styled) === null || _props$styled27 === void 0 ? void 0 : _props$styled27.hyphens) !== undefined && "hyphens: ".concat(props === null || props === void 0 ? void 0 : (_props$styled28 = props.styled) === null || _props$styled28 === void 0 ? void 0 : _props$styled28.hyphens, ";");
}, function (props) {
  var _props$styled29, _props$styled30;

  return (props === null || props === void 0 ? void 0 : (_props$styled29 = props.styled) === null || _props$styled29 === void 0 ? void 0 : _props$styled29.wordBreak) !== undefined && "word-break: ".concat(props === null || props === void 0 ? void 0 : (_props$styled30 = props.styled) === null || _props$styled30 === void 0 ? void 0 : _props$styled30.wordBreak, ";");
});
exports.textTemplate = textTemplate;
var textStyledPropTypes = {
  color: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.Color))),
  fontFamily: _propTypes["default"].string,
  fontWeight: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.FontWeight))),
  fontStyle: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.FontStyle))),
  fontSize: _propTypes["default"].string,
  lineHeight: _propTypes["default"].string,
  letterSpacing: _propTypes["default"].string,
  verticalAlign: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.VerticalAlign))),
  textAlign: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.TextAlign))),
  textDecoration: _propTypes["default"].string,
  textTransform: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.TextTransform))),
  whiteSpace: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.WhiteSpace))),
  textOverflow: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.TextOverflow))),
  hyphens: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.Hyphens))),
  wordBreak: _propTypes["default"].oneOf(_toConsumableArray(Object.values(_enums.WordBreak)))
};
exports.textStyledPropTypes = textStyledPropTypes;
var textStyledDefaultProps = {
  fontFamily: _enums.FontFamily.Default,
  fontSize: _enums.FontSize.Normal
};
exports.textStyledDefaultProps = textStyledDefaultProps;